php-webmozart-assert (2.4.1-1) experimental; urgency=medium

  [ Volker Dusch ]
  * Fix uuid() accepting `{`, `}`, and prefixes inside the string

  [ Woody Gilk ]
  * Prepare for 2.4.1 release

 -- David Prévot <taffit@debian.org>  Tue, 16 Jun 2026 07:14:00 +0200

php-webmozart-assert (2.4.0-1) experimental; urgency=medium

  [ Woody Gilk ]
  * Prepare for 2.4.0 release

  [ Pavel Vondrák ]
  * Fix PHPDoc generics for isInstanceOfAny

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2026 08:27:06 +0200

php-webmozart-assert (2.3.0-1) experimental; urgency=medium

  [ Aymeric Cucherousset ]
  * Add isNotInstanceOfAny assertion (#352)
  * Add tests for object comparison behavior and clarify uniqueValues()
    documentation (#354)
  * Add support for lazy assertion messages (#353)

  [ Woody Gilk ]
  * Prepare for 2.3.0 release

  [ David Prévot ]
  * Update standards version to 4.7.4

 -- David Prévot <taffit@debian.org>  Mon, 13 Apr 2026 10:01:33 +0200

php-webmozart-assert (2.1.6-1) experimental; urgency=medium

  [ Jille Behm ]
  * fix list methods so psalm doesn't see it as list<never> (#351)

  [ Woody Gilk ]
  * Update changelog for 2.1.6

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2026 12:18:57 +0100

php-webmozart-assert (2.1.5-1) experimental; urgency=medium

  [ Woody Gilk ]
  * Ensure helpful message for instanceof checks (#350)

 -- David Prévot <taffit@debian.org>  Thu, 19 Feb 2026 01:07:58 +0100

php-webmozart-assert (2.1.4-1) experimental; urgency=medium

  [ Woody Gilk ]
  * Use custom message for object checks (#348)

 -- David Prévot <taffit@debian.org>  Wed, 18 Feb 2026 08:50:27 +0100

php-webmozart-assert (2.1.3-1) experimental; urgency=medium

  [ Woody Gilk ]
  * Correct isList type documentation (#342)
  * Correct docblocks for isAOf and related (#346)
  * Fix changelog

 -- David Prévot <taffit@debian.org>  Sat, 14 Feb 2026 07:53:36 +0100

php-webmozart-assert (2.1.2-1) experimental; urgency=medium

  [ JM Feurprier ]
  * Fixed iterable methods (all* + allNullOr*) types (return and $value
    parameter). (#338)

  [ Woody Gilk ]
  * Prepare for 2.1.2 release

 -- David Prévot <taffit@debian.org>  Wed, 14 Jan 2026 21:26:18 +0100

php-webmozart-assert (2.1.1-1) experimental; urgency=medium

  [ kamil-zacek ]
  * Use notSame instead of notEq for stringNotEmpty (#336)

  [ Woody Gilk ]
  * Prepare changelog for 2.1.1

  [ David Prévot ]
  * phpunit: Drop now useless exclusion

 -- David Prévot <taffit@debian.org>  Sat, 10 Jan 2026 09:18:02 +0100

php-webmozart-assert (2.1.0-1) experimental; urgency=medium

  [ Alexander Schranz ]
  * Add changelog entry for declare(strict_types=1) (#330)

  [ Woody Gilk ]
  * Prepare 2.1.0 release

  [ George Steel ]
  * Fix parameter type for `Assert::isMap()` (#331)

  [ Alex Plekhanov ]
  * Pass message from methods to integer assertion inside (#335)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Wed, 07 Jan 2026 23:43:28 +0100

php-webmozart-assert (2.0.0-1) experimental; urgency=medium

  [ Woody Gilk ]
  * Prepare changelog for release

 -- David Prévot <taffit@debian.org>  Wed, 17 Dec 2025 07:08:03 +0100

php-webmozart-assert (2.0.0~beta-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Woody Gilk ]
  * Update minimum required PHP version
  * Add return types to all methods

  [ czirkoszoltan ]
  * Adds notInArray and notOneOf (#323)

  [ Kevin ]
  * Add return $value for all Assert assertions. (#324)
  * Add Assert isInitialized. (#325)
  * Add support to validate unicode email. (#326)

  [ Marcel Strahl ]
  * Add isNegativeInteger and notNegativeInteger (#301)

  [ Peter Fox ]
  * adds isStatic and isNotStatic (#310)

  [ David Prévot ]
  * Drop patches not needed anymore

 -- David Prévot <taffit@debian.org>  Fri, 05 Dec 2025 10:52:32 +0100

php-webmozart-assert (1.12.1-1) unstable; urgency=medium

  [ Woody Gilk ]
  * Correct changelog for release
  * Prepare v1.12.1 release

  [ Junior Carvalho ]
  * Exclude tools folder from export to prevent scanning (#322)

  [ David Prévot ]
  * debian/latest is already the default branch

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:14:22 +0100

php-webmozart-assert (1.12.0-1) unstable; urgency=medium

  [ Woody Gilk ]
  * Prevent UUIDs with newlines from validating, fixes #307
  * Assert values are strings before ctype checks, fixes #197

  [ Andrew Ivchenkov ]
  * Add missing return type annotations (#314)

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 24 Oct 2025 09:14:02 +0200

php-webmozart-assert (1.11.0-4) unstable; urgency=medium

  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 16:13:09 +0100

php-webmozart-assert (1.11.0-3) unstable; urgency=medium

  * Use --require-file for phpabtl (Closes: #1073573)

 -- David Prévot <taffit@debian.org>  Wed, 19 Jun 2024 13:22:51 +0200

php-webmozart-assert (1.11.0-2) unstable; urgency=medium

  * Make provider classes static (PHPUnit 11 fix) (Closes: #1070612)
  * Update Standards-Version to 4.7.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- David Prévot <taffit@debian.org>  Sat, 18 May 2024 13:38:29 +0200

php-webmozart-assert (1.11.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Gert de Pagter ]
  * Add 1.11.0 to the changelog (#272)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 09:43:36 +0200

php-webmozart-assert (1.10.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Tobias Nyholm ]
  * Release 1.10.0 (#239)

  [ David Prévot ]
  * Simplify gbp import-orig
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Tue, 09 Mar 2021 16:28:57 -0400

php-webmozart-assert (1.9.1-2) unstable; urgency=medium

  * Rename main branch to debian/latest (DEP-14)
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1
  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sat, 12 Dec 2020 15:46:29 -0400

php-webmozart-assert (1.9.1-1) unstable; urgency=medium

  [ Ayesh Karunaratne ]
  * composer.json: Allow PHP 8

  [ Graham Campbell ]
  * Release 1.9.1

  [ David Prévot ]
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Sun, 12 Jul 2020 11:33:59 -0400

php-webmozart-assert (1.9.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Prepare release 1.9.0

 -- David Prévot <taffit@debian.org>  Mon, 29 Jun 2020 14:51:27 -1000

php-webmozart-assert (1.8.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Prep 1.8.0 release (#184)

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Mon, 04 May 2020 22:55:29 -1000

php-webmozart-assert (1.7.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Prepare 1.7.0 release (#172)

  [ Ruud Kamphuis ]
  * Add `notFalse` (#164)

  [ Simon Mönch ]
  * Added isAOf(), isAOfAny(), notAOf() (#106)

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 09:19:40 -1000

php-webmozart-assert (1.6.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Update changelog for 1.6.0 (#156)

  [ David Prévot ]
  * d/u/metadate Set upstream metadata fields: Repository, Repository-Browse.
  * d/control:
    + Drop versioned dependency satisfied in (old)stable
    + Update standards version to 4.4.1, no changes needed

 -- David Prévot <taffit@debian.org>  Fri, 29 Nov 2019 14:09:47 -1000

php-webmozart-assert (1.5.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Update changelog for 1.5.0 (#122)

  [ David Prévot ]
  * Add back testsuite
  * Compatibility with recent PHPUnit (8)
  * Document gbp import-ref usage
  * Update standards version, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 27 Aug 2019 18:37:30 -1000

php-webmozart-assert (1.4.0-3) unstable; urgency=medium

  * Revert "Adapt homemade autoload to new dependency"
  * Use debhelper-compat 12

 -- David Prévot <taffit@debian.org>  Sun, 06 Jan 2019 02:59:13 +1100

php-webmozart-assert (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency upon php-symfony-polyfill-ctype

 -- Kunal Mehta <legoktm@debian.org>  Fri, 04 Jan 2019 23:34:05 -0800

php-webmozart-assert (1.4.0-1) unstable; urgency=medium

  [ Gert de Pagter ]
  * Require a polyfill for ctype (#73)

  [ David Prévot ]
  * Adapt homemade autoload to new dependency
  * Use https in Format
  * Use debhelper-compat 11
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2018 17:32:03 +1030

php-webmozart-assert (1.3.0-1) unstable; urgency=medium

  * Drop tests removed upstream
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 21:10:25 -1000

php-webmozart-assert (1.2.0-2) unstable; urgency=medium

  * Fix Homepage
  * Update Standards-Version to 4.1.1
  * Update test for recent phpunit versions (Closes: #882925)

 -- David Prévot <taffit@debian.org>  Wed, 29 Nov 2017 19:36:51 -1000

php-webmozart-assert (1.2.0-1) unstable; urgency=medium

  [ Bernhard Schussek ]
  * Released version "1.2.0"

  [ David Prévot ]
  * Fix Source URL
  * Update Standards-Version to 4.0.0

 -- David Prévot <taffit@debian.org>  Thu, 03 Aug 2017 17:15:39 -0400

php-webmozart-assert (1.0.2-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 15:06:10 -0400

php-webmozart-assert (1.0.2-1) unstable; urgency=low

  * Initial release (new php-phpdocumentor-reflection-docblock dependency)

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2016 14:43:46 -0400
